com.creamtec.ajaxswing.gui.peer

## Class AjaxSwingDialogPeer

- java.lang.Object
- - com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer
  - - com.creamtec.ajaxswing.gui.peer.AjaxSwingContainerPeer
    - - com.creamtec.ajaxswing.gui.peer.AjaxSwingWindowPeer
      - - com.creamtec.ajaxswing.gui.peer.AjaxSwingDialogPeer

- All Implemented Interfaces:
    java.awt.peer.ComponentPeer, java.awt.peer.ContainerPeer, java.awt.peer.DialogPeer, java.awt.peer.WindowPeer
  Direct Known Subclasses:
    SaveDialogPeer

      public class AjaxSwingDialogPeer
      extends AjaxSwingWindowPeer
      implements java.awt.peer.DialogPeer

- - ### Field Summary

    - ### Fields inherited from interface java.awt.peer.ComponentPeer

      `DEFAULT_OPERATION, NO_EMBEDDED_CHECK, RESET_OPERATION, SET_BOUNDS, SET_CLIENT_SIZE, SET_LOCATION, SET_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingDialogPeer(java.awt.Dialog target)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `blockWindows(java.util.List<java.awt.Window> windows)`
    `void` | `hide()`
    `void` | `setResizable(boolean resizeable)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `show()`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingWindowPeer

      `getMyThread, handleFocusTraversalEvent, repositionSecurityWarning, requestWindowFocus, setAlwaysOnTop, setBounds, setModalBlocked, setOpacity, setOpaque, toBack, toFront, updateAlwaysOnTop, updateAlwaysOnTopState, updateFocusableWindowState, updateIconImages, updateMinimumSize, updateWindow, updateWindow`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingContainerPeer

      `beginLayout, beginValidate, cancelPendingPaint, endLayout, endValidate, getInsets, insets, isPaintPending, isRestackSupported, restack`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createDelegate, createImage, createImage, createVolatileImage, destroyBuffers, disable, dispose, enable, flip, flip, getAppropriateGraphicsConfiguration, getBackBuffer, getBounds, getColorModel, getDelegate, getDelegateComponent, getFontMetrics, getGraphics, getGraphicsConfiguration, getImage, getLocationOnScreen, getMinimumSize, getPreferredSize, getTarget, getToolkit, handleEvent, handlesWheelScrolling, isFocusable, isFocusTraversable, isObscured, isReparentSupported, layout, minimumSize, paint, preferredSize, prepareImage, print, repaint, reparent, requestFocus, requestFocus, requestFocus, reshape, setBackground, setBounds, setBounds, setCursor, setDelegate, setDelegateComponent, setEnabled, setFont, setForeground, setTarget, setVisible, setZOrder, updateCursorImmediately, updateGraphicsData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.peer.WindowPeer

      `repositionSecurityWarning, setModalBlocked, setOpacity, setOpaque, toBack, toFront, updateAlwaysOnTopState, updateFocusableWindowState, updateIconImages, updateMinimumSize, updateWindow`

    - ### Methods inherited from interface java.awt.peer.ContainerPeer

      `beginLayout, beginValidate, endLayout, endValidate, getInsets`

    - ### Methods inherited from interface java.awt.peer.ComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createImage, createImage, createVolatileImage, destroyBuffers, dispose, flip, getBackBuffer, getColorModel, getFontMetrics, getGraphics, getGraphicsConfiguration, getLocationOnScreen, getMinimumSize, getPreferredSize, getToolkit, handleEvent, handlesWheelScrolling, isFocusable, isObscured, isReparentSupported, layout, paint, prepareImage, print, reparent, requestFocus, setBackground, setBounds, setEnabled, setFont, setForeground, setVisible, setZOrder, updateCursorImmediately, updateGraphicsData`

- - ### Constructor Detail

    - #### AjaxSwingDialogPeer

          public AjaxSwingDialogPeer(java.awt.Dialog target)

  - ### Method Detail

    - #### setTitle

          public void setTitle(java.lang.String title)

      Specified by:
        `setTitle` in interface `java.awt.peer.DialogPeer`

    - #### setResizable

          public void setResizable(boolean resizeable)

      Specified by:
        `setResizable` in interface `java.awt.peer.DialogPeer`

    - #### show

          public void show()

      Overrides:
        `show` in class `AjaxSwingWindowPeer`

    - #### hide

          public void hide()

      Overrides:
        `hide` in class `AjaxSwingWindowPeer`

    - #### blockWindows

          public void blockWindows(java.util.List<java.awt.Window> windows)

      Specified by:
        `blockWindows` in interface `java.awt.peer.DialogPeer`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.